VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::NtpTypes::MessageStatus Class Reference

`Ntp.MessageStatus` enumerated type Individual test result More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, failure, success }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static MessageStatus[] | GetValues ()
static MessageStatus | ValueOf (string name)
## Static Public Attributes
static readonly MessageStatus | failure = new MessageStatus("failure", Values.failure)
| message indicates the test failed.
static readonly MessageStatus | success = new MessageStatus("success", Values.success)
| message indicates that the test was successful.

## Detailed Description

`Ntp.MessageStatus` enumerated type Individual test result

## Member Enumeration Documentation

enum vmware::appliance::techpreview::NtpTypes::MessageStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  failure | message indicates the test failed.
  success | message indicates that the test was successful.

## Member Function Documentation

Values vmware::appliance::techpreview::NtpTypes::MessageStatus::GetEnumValue | ( |  | ) | `[inline]`

static MessageStatus [] vmware::appliance::techpreview::NtpTypes::MessageStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::NtpTypes::MessageStatus::IsUnknown | ( |  | ) | `[inline]`

static MessageStatus vmware::appliance::techpreview::NtpTypes::MessageStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly MessageStatus vmware::appliance::techpreview::NtpTypes::MessageStatus::failure = new MessageStatus("failure", Values.failure)`[static]`

message indicates the test failed.

readonly MessageStatus vmware::appliance::techpreview::NtpTypes::MessageStatus::success = new MessageStatus("success", Values.success)`[static]`

message indicates that the test was successful.

The documentation for this class was generated from the following file:

- NtpTypes.cs